> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/vue-densemble-des-requetes-de-lapi-geopard/notes-reperes/36.-mutation-ajouter-plusieurs-commentaires-aux-notes-selectionnees.md).

# 36. Mutation : ajouter plusieurs « Commentaires » aux « Notes » sélectionnées

Cette mutation vous permet d'ajouter plusieurs commentaires à la note sélectionnée.

{% hint style="success" %}
Le nombre maximal de commentaires à sauvegarder est de 25.
{% endhint %}

* Un commentaire peut être lié au Champ via son identifiant unique `fieldUuid` et à la Note via `noteUuid`.
* Le contenu du commentaire peut être fourni en utilisant l' `texte` attribut. Si le contenu doit être sur plusieurs lignes, l' `texte` attribut doit contenir une chaîne avec des caractères de nouvelle ligne `\\n` pour séparer les lignes. Par exemple : `"Première ligne. est ici\\nDeuxième ligne est ici.\\nTroisième ligne est ici."`.
* Il est possible de définir une date-heure associée au commentaire en utilisant l' `dateDeCréation` attribut au format ISO8601.

La requête d'exemple se trouve ci‑dessous :

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation BatchAddNoteComments {
  addNoteComments(input:{
    comments: [
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "Le 4ᵉ commentaire parmi plusieurs.",
        createdDate: "2020-08-25T06:06:06.000Z"
      }, 
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "Le 5ᵉ commentaire parmi plusieurs.\\nLa deuxième ligne du commentaire.",
        createdDate: "2020-08-25T06:06:07.000Z"
      }
    ]
  }) {
    uuid
    fieldUuid
    noteUuid
    dateDeCréation
    updatedDate
    texte
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/vue-densemble-des-requetes-de-lapi-geopard/notes-reperes/36.-mutation-ajouter-plusieurs-commentaires-aux-notes-selectionnees.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
